import React from "react";
import { useDispatch, useSelector } from "react-redux";
import { getAdminModules } from "../../actions/admins";

import Modules from "../modules/modules";

export const AdminModules = () => {
  const dispatch = useDispatch();

  const loading = useSelector((state) => state.admin.fetchingModules);
  const modules = useSelector((state) => state.admin.modules);

  const fetchModules = () => {
    dispatch(getAdminModules());
  };

  return (
    <Modules
      modules={modules}
      isLoading={loading}
      fetchModules={fetchModules}
    />
  );
};
