import React from "react";
import PropTypes from "prop-types";

import { upperCaseFirst } from "../../utils";

export const Genres = ({ genres = [] }) => {
  if (!genres || genres.length === 0) {
    return null;
  }

  // Uppercase first genres
  const prettyGenres = genres.map((w) => upperCaseFirst(w)).join(", ");

  return (
    <span>
      <i className="fa fa-tags mr-1" />
      {prettyGenres}
    </span>
  );
};
Genres.propTypes = { genres: PropTypes.array };
