import { produce } from "immer";

const defaultState = {
  show: false,
  message: "",
  type: "",
};

export default (state = defaultState, action) =>
  produce(state, (draft) => {
    switch (action.type) {
      case "ADD_ALERT_ERROR":
        draft.show = true;
        draft.type = "error";
        draft.message = action.payload.message;
        break;

      case "ADD_ALERT_OK":
        draft.show = true;
        draft.type = "success";
        draft.message = action.payload.message;
        break;

      case "DISMISS_ALERT":
        draft.show = false;
        draft.type = "";
        draft.message = "";
        break;

      default:
        return draft;
    }
  });
